robotpkg/wip/py-dynamic-graph-v3 bulk build results

Log for py34-dynamic-graph-v3-3.2.0 on Ubuntu-14.04-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for py34-dynamic-graph-v3-3.2.0 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-14.04-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-14.04-x86_64/All/tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for py34-dynamic-graph-v3-3.2.0 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.16 found => Required system package gzip: gzip-1.6 found => Required system package patch>=2.0: patch-2.7.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found ===> Done bootstrap-depends for py34-dynamic-graph-v3-3.2.0 ===> Installing full dependencies for py34-dynamic-graph-v3-3.2.0 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-14.04-x86_64/All/dynamic-graph-v3-3.2.1.tgz => Dependency tnftp-20130505~ssl already installed ===> Checking build options for py34-dynamic-graph-v3-3.2.0 => Building with no option. ===> Checking alternatives for py34-dynamic-graph-v3-3.2.0 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.4: python>=2.5<3.8 provided by python34>=3.4<3.5 ===> Checking dependencies for py34-dynamic-graph-v3-3.2.0 => Required system package cmake>=2.6: cmake-2.8.12.2 found => Required system package doxygen>=1.5: doxygen-1.8.6 found => Required system package eigen3>=3.0.0: eigen3-3.2.0 found => Required system package g++>=3: g++-4.8 found => Required system package gcc>=3: gcc-4.8 found => Required system package graphviz>=2: graphviz-2.36.0 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py-sphinx>=1.1: py-sphinx-1.2.2 found => Required system package python34>=3.4<3.5: python34-3.4.3 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.2.1 found ===> Done depends for py34-dynamic-graph-v3-3.2.0 ===> Extracting for py34-dynamic-graph-v3-3.2.0 => SHA1 checksums OK => RMD160 checksums OK ===> Patching for py34-dynamic-graph-v3-3.2.0 => Applying robotpkg patches for py34-dynamic-graph-v3-3.2.0 ===> Configuring for py34-dynamic-graph-v3-3.2.0 CMake Warning at cmake/python.cmake:42 (MESSAGE): CMake versions older than 3.2 do not properly find Python. Custom macros are used to find it. Call Stack (most recent call first): CMakeLists.txt:24 (include) ===> Building for py34-dynamic-graph-v3-3.2.0 make[2]: *** [src/CMakeFiles/dynamic_graph_entity.pyc] Error 1 make[1]: *** [src/CMakeFiles/dynamic_graph_entity.pyc.dir/all] Error 2 make[1]: *** Waiting for unfinished jobs.... /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc: In function 'bool dynamicgraph::python::HandleErr(std::string&, PyObject*, PyObject*, int)': /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc:89:55: error: 'PyString_AsString' was not declared in this scope (PyString_AsString(PyList_GET_ITEM(pyerr, i))); ^ /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc:93:51: error: 'PyString_FromString' was not declared in this scope pyerr = PyString_FromString(stringRes.c_str()); ^ /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc:94:34: error: 'PyString_AsString' was not declared in this scope err = PyString_AsString(pyerr); ^ /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc:122:37: error: 'PyString_AsString' was not declared in this scope out = PyString_AsString(stdout_obj); ^ /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc: In destructor 'dynamicgraph::python::Interpreter::~Interpreter()': /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc:178:59: error: 'PyString_AS_STRING' was not declared in this scope std::string oAttrName (PyString_AS_STRING(poAttrName)); ^ /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc: In member function 'void dynamicgraph::python::Interpreter::python(const string&, std::string&, std::string&, std::string&)': /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc:262:37: error: 'PyString_AsString' was not declared in this scope out = PyString_AsString(stdout_obj); ^ /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc: In member function 'void dynamicgraph::python::Interpreter::runMain()': /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc:331:37: error: cannot convert 'char**' to 'wchar_t**' for argument '2' to 'int Py_Main(int, wchar_t**)' Py_Main(1,const_cast(argv)); ^ make[2]: *** [src/CMakeFiles/dynamic-graph-python.dir/interpreter.cc.o] Error 1 make[1]: *** [src/CMakeFiles/dynamic-graph-python.dir/all] Error 2 make: *** [all] Error 2 An unexpected error occured. The last 10 log lines are shown below. | ^ | /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc: In member function 'void dynamicgraph::python::Interpreter::runMain()': | /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/src/interpreter.cc:331:37: error: cannot convert 'char**' to 'wchar_t**' for argument '2' to 'int Py_Main(int, wchar_t**)' | Py_Main(1,const_cast(argv)); | ^ | make[2]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0' | make[1]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0' | make[2]: *** [src/CMakeFiles/dynamic-graph-python.dir/interpreter.cc.o] Error 1 | make[1]: *** [src/CMakeFiles/dynamic-graph-python.dir/all] Error 2 | make: *** [all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/build.log make[3]: *** [do-build] Error 2 make[2]: *** [pkg-check-installed] Error 2 => Marking py34-dynamic-graph-v3-3.2.0 as broken ERROR: make: *** [package] Error 2 ===> Deinstalling for py34-dynamic-graph-v3 Removed digest-20080510 Removed dynamic-graph-v3-3.2.1 Removed tnftp-20130505~ssl